---
updatedAt: 2025-11-06T16:48:32.000Z
agentTools:
  projectIndex: https://developer.peakon.com/llms.txt
---

# Authentication

Once a custom application is created, you are presented with a generated **access token**. This token is a secret and unique to your application. You should then make a POST request  using the `/v1/auth/application` endpoint to exchange your access token for an authorization token.

```curl
curl --location --request POST 'https://SUDBOMAIN.peakon.com/api/v1/auth/application' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "Add your token here"
}'
```
```Text cURL (legacy API domain)
curl --location --request POST 'https://api.peakon.com/v1/auth/application' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "Add your token here"
}'
```

The response body of a successful authentication request will contain an  [JWT](http://jwt.io/)  **authorization token** to be used in all subsequent API requests. All non-public HTTP requests are required to include an Authorization header containing the JWT bearer token, in the format `Bearer {authorization_token}`.

Note that even if an application can have more than one authorization token, rate limits are enforced per application.